[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# htons

Convert short integer from host ordered to network ordered

## Declaration

Source position: socketsh.inc line 188

`function htons(`
`host: Word`
`):Word;`

## Description

htons makes sure that the bytes in host are ordered in the correct way for sending over the network and returns the correctly ordered result.

## See also

htonl |  | Convert long integer from host ordered to network ordered
ntohl |  | Convert long integer from network ordered to host ordered
ntohs |  | Convert short integer from network ordered to host ordered